cURL
curl --request POST \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Grid-Environment: <x-grid-environment>' \
--data '
{
"policies": {
"authorities": [
{
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"permissions": []
}
],
"threshold": 5,
"admin_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"time_lock": 1
},
"grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"mpc_provider_info": {
"Turnkey": {
"primary_id": "<string>",
"wallet_address": "<string>",
"wallet_id": "<string>"
}
}
}
'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts"
payload = {
"policies": {
"authorities": [
{
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"permissions": []
}
],
"threshold": 5,
"admin_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"time_lock": 1
},
"grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"mpc_provider_info": { "Turnkey": {
"primary_id": "<string>",
"wallet_address": "<string>",
"wallet_id": "<string>"
} }
}
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Grid-Environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
policies: {
authorities: [{address: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v', permissions: []}],
threshold: 5,
admin_address: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
time_lock: 1
},
grid_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
memo: '<string>',
mpc_provider_info: {
Turnkey: {primary_id: '<string>', wallet_address: '<string>', wallet_id: '<string>'}
}
})
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2021-01-01T00:00:00Z",
"grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policies": {
"authorities": [
{
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"permissions": []
}
],
"threshold": 5,
"admin_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"time_lock": 1
},
"smart_account_address": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Smart Accounts
Create Smart Account
POST
/
smart-accounts
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Body
application/json
Smart account policies including authorities and threshold
Show child attributes
Show child attributes
Optional Grid user ID. If not provided, a new user will be created
Optional memo for the smart account
Optional MPC provider information for key management
Show child attributes
Show child attributes
Response
Smart account created successfully
UTC timestamp when the smart account was created
Example:
"2021-01-01T00:00:00Z"
The Grid user ID associated with the smart account
The policies configured for the smart account
Show child attributes
Show child attributes
The blockchain address of the created smart account
Was this page helpful?
⌘I